Skip to main content
GET
/
v1
/
customers
List Customers
curl --request GET \
  --url https://api.sandbox.busha.so/v1/customers \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "message for success",
  "pagination": {
    "current_entries_size": 20,
    "next_cursor": "MjAyNC0xMC0xNVQxMTowNTo1My45NTkxNDErMDE6MDA=",
    "previous_cursor": "MjAyNC0xMC0xNVQxMDowNTo1My45NTIxQjE3MDE6MDA="
  },
  "data": [
    {
      "first_name": "John",
      "last_name": "John",
      "id": "bus_123456789",
      "business_id": "bus_123456789",
      "email": "bCnW7@example.com",
      "status": "active",
      "country_id": "NG",
      "type": "individual",
      "phone": "+2348012345678",
      "address": {
        "country_id": "NG",
        "address_line_1": "RT Lawal",
        "city": "Lekki",
        "state": "Lagos",
        "county": "Mombasa",
        "address_line_2": "",
        "province": "province",
        "postal_code": "12345"
      },
      "display_currency": "BTC",
      "deposit": true,
      "payout": true,
      "has_accepted_terms_of_service": true,
      "level": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "middle_name": "Smith",
      "rejection_reasons": [
        "<string>"
      ],
      "requirements_due": [
        "<string>"
      ],
      "future_requirements_due": [
        "<string>"
      ],
      "beneficial_owners": [
        {
          "id": "<string>",
          "email": "bCnW7@example.com"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Query Parameters

cursor
string<string>

The cursor

limit
integer

The number of items to return

Example:

10

q
string
Required string length: 3 - 100
Example:

"kay@busha.co"

Response

Customer List Response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

pagination
object
required
data
object[]
required

Individual name requirements